#!/usr/bin/env bash
set -euo pipefail

if [[ $# > 0 ]]; then
   DOCKER_ROOT=$1;
else
   DOCKER_ROOT=$(pwd);
fi
# echo $DOCKER_ROOT;

for subdir in $DOCKER_ROOT/*; do
   if [[ !(-d $subdir) || ${subdir##*/} == "matrix_synapse" ]]; then
      continue;
   fi
   # echo $subdir;
   cd $subdir;
   # echo $(pwd);
   docker-compose up -d;
done

